tigase.jaxmpp.core.client.xmpp.modules

## Class SoftwareVersionModule.SoftwareVersionAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.SoftwareVersionModule.SoftwareVersionAsyncCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    SoftwareVersionModule

      public abstract static class SoftwareVersionModule.SoftwareVersionAsyncCallback
      extends Object
      implements AsyncCallback

  Software version callback.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoftwareVersionAsyncCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onSuccess(Stanza responseStanza)` Called when received response has type result.
    `protected abstract void` | `onVersionReceived(String name, String version, String os)` Called on success.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onError, onTimeout`

- - ### Constructor Detail

    - #### SoftwareVersionAsyncCallback

          public SoftwareVersionAsyncCallback()

  - ### Method Detail

    - #### onSuccess

          public void onSuccess(Stanza responseStanza)
                         throws XMLException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Specified by:
        `onSuccess` in interface `AsyncCallback`
      Parameters:
        `responseStanza` - received stanza
      Throws:
        `XMLException`

    - #### onVersionReceived

          protected abstract void onVersionReceived(String name,
                                                    String version,
                                                    String os)
                                             throws XMLException

      Called on success.
      Parameters:
        `name` - received software name
        `version` - received software version
        `os` - received operating system name
      Throws:
        `XMLException`

Copyright © 2006–2016 Tigase. All rights reserved.